#################
XGBoost C Package
#################

XGBoost implements a set of C API designed for various bindings, we maintain its
stability and the CMake/make build interface.  See ``demo/c-api/README.md`` for an
overview and related examples.  Also one can generate doxygen document by providing
``-DBUILD_C_DOC=ON`` as parameter to ``CMake`` during build, or simply look at function
comments in ``include/xgboost/c_api.h``.

* `C API documentation (latest master branch) <https://xgboost.readthedocs.io/en/latest/dev/c__api_8h.html>`_
* `C API documentation (last stable release) <https://xgboost.readthedocs.io/en/stable/dev/c__api_8h.html>`_
